Subject: Re: bug#5922: 23.1.93; Hang showing completion list with Tramp

From: Duncan Findlay <[email-masked]>
Date: Mon, 12 Apr 2010 16:41:45 -0700

On Apr 12, 2010, at 12:41 PM, Michael Albinus wrote:

>>> From: Duncan Findlay <[email-masked]>
>>> Date: April 10, 2010 12:18:35 AM EDT
>>> To: [email-masked]
>>> Subject: [Aquamacs-bugs] 23.1.93; Hang showing completion list with Tramp
>>> Reply-To: Bug reports for Aquamacs Emacs <[email-masked]>
>>> 
>>> I'm using TRAMP to access a remote directory. The remote server is running FreeBSD 6.3 and I'm connecting with the 'scp' mode. When I type in a partial path and try to tab-complete, e.g: /hostname:/path/to/file/file<tab>, Tramp goes off and tries to fetch the completion list. (This only happens when there is more than one possible completion.) I see the window partially re-draw (i.e. vertical scrollbars change, as if to split into two to show the completion list. The minibuffer continues to display "Making Completion List...", I get a spinny-beachball-of-death, and the process starts to use a lot of memory and CPU.
>>> 
>>> I was able to reproduce this with customizations off, but not with Aquamacs -Q.
> 
> If it doesn't happen with "Aquamacs -Q", there must be a configuration
> which results in that effect. Could you try to test with "Aquamacs -Q",
> and add the smallest configuration snippet which provokes the error? We
> could analyze then that configuration.

I was able to reproduce the problem outside TRAMP, so I think it's a problem with Aquamacs only. There doesn't seem to be a timeout issue here.

Thanks
Duncan